Skip to main content
GET
/
v1
/
payment-requests
/
{request_id}
Get Payment Request Status
curl --request GET \
  --url https://api.hit-pay.com/v1/payment-requests/{request_id} \
  --header 'X-BUSINESS-API-KEY: <x-business-api-key>'
import requests

url = "https://api.hit-pay.com/v1/payment-requests/{request_id}"

headers = {"X-BUSINESS-API-KEY": "<x-business-api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-BUSINESS-API-KEY': '<x-business-api-key>'}};

fetch('https://api.hit-pay.com/v1/payment-requests/{request_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "9ef68e2e-3569-4f69-9f68-04c7e4bb007c",
  "name": "Harvey Friesen",
  "email": "test@gmail.com",
  "phone": "+65489505050",
  "amount": "10.00",
  "currency": "sgd",
  "is_currency_editable": false,
  "status": "pending",
  "purpose": "Purpose_1747817845",
  "reference_number": "1747817845",
  "payment_methods": [
    "card"
  ],
  "url": "https://securecheckout.sandbox.hit-pay.com/payment-request/@qasg/9ef68e2e-3569-4f69-9f68-04c7e4bb007c/checkout",
  "redirect_url": "https://google.com",
  "webhook": "https://webhook.site/8cbdef58-cd15-441a-986d-9446235223ea",
  "send_sms": true,
  "send_email": true,
  "sms_status": "pending",
  "email_status": "pending",
  "allow_repeated_payments": false,
  "expiry_date": "2025-05-26T15:10:00",
  "address": {
    "city": "Singapore",
    "line1": "177 River Valley Road",
    "line2": "177 River Valley Road",
    "state": "Central",
    "country": "SG",
    "postal_code": "10015"
  },
  "line_items": null,
  "executor_id": "1363",
  "created_at": "2025-05-21T16:57:25",
  "updated_at": "2025-05-21T16:57:25",
  "staff_id": "98888a69-2d7a-4695-811d-6df8cee30264",
  "business_location_id": "9e42e6be-2ff8-4b37-ac14-07970d2e79ca",
  "location": {
    "id": "9e42e6be-2ff8-4b37-ac14-07970d2e79ca",
    "name": "API_Location_1740101762910",
    "street": "58 Izpod Parkway",
    "postal_code": "079903",
    "city": "Singapore",
    "state": "Singapore",
    "country": "sg",
    "created_at": "2025-02-21T01:36:02.000000Z",
    "updated_at": "2025-02-21T01:36:02.000000Z",
    "active": true,
    "business_id": "98567029-f559-49f9-916b-042a4255b32a",
    "pickups": []
  }
}
{
"message": "No query results for model [App\\Business\\PaymentRequest] 9ef68e2e-3569-4f69-9f68-04c7e4bb007c1"
}

Headers

X-BUSINESS-API-KEY
string
required
Example:

"b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d"

Path Parameters

request_id
string<uuid>
required

It's required field

Response

200

id
string
name
string
email
string
phone
string
amount
string
currency
string
status
enum<string>

The status of the payment request. The value can be pending, completed, failed, expired, canceled or inactive. pending: Default when a payment request is created: open for payment. failed: Payment did not complete successfully. completed: Payment succeeded, the request is treated as paid.(unless allow_repeated_payments applies). expired: No longer payable because time ran out when either expiry_date or expires_after is set.. canceled: Manually or systematically voided (e.g. terminal flow canceling a pending request). inactive: Payment link deactivated by the merchant.

Available options:
pending,
completed,
failed,
expired,
canceled,
inactive
purpose
string
reference_number
string
payment_methods
string[]
url
string
redirect_url
string
webhook
string
send_sms
boolean
send_email
boolean
sms_status
string
email_status
string
allow_repeated_payments
boolean
expiry_date
string
address
object
line_items
object[]
created_at
string
updated_at
string
payments
object[]
Last modified on February 25, 2026